/*
 * Copyright (C) 2012 Jamie Nicol <jamie@thenicols.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.redcoracle.episodes.tvdb;

import java.util.Date;

public class Episode
{
	private int id;
	private String name;
	private String language;
	private String overview;
	private int episodeNumber;
	private int seasonNumber;
	private Date firstAired;

	Episode() {
		id = 0;
		name = "";
		language = "";
		overview = "";
		episodeNumber = 0;
		seasonNumber = 0;
		firstAired = null;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getOverview() {
		return overview;
	}

	public void setOverview(String overview) {
		this.overview = overview;
	}

	public int getEpisodeNumber() {
		return episodeNumber;
	}

	void setEpisodeNumber(int episodeNumber) {
		this.episodeNumber = episodeNumber;
	}

	public int getSeasonNumber() {
		return seasonNumber;
	}

	void setSeasonNumber(int seasonNumber) {
		this.seasonNumber = seasonNumber;
	}

	public Date getFirstAired() {
		return firstAired;
	}

	void setFirstAired(Date firstAired) {
		this.firstAired = firstAired;
	}
}
